Bug 433292 - Review Request: lpsolve - OpenOffice.org 3.0 dependency Linear Programming (MILP) solver
Summary: Review Request: lpsolve - OpenOffice.org 3.0 dependency Linear Programming (M...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-18 14:01 UTC by Caolan McNamara
Modified: 2008-02-20 20:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 20:34:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2008-02-18 14:01:21 UTC
Spec URL: http://people.redhat.com/caolanm/lpsolve/lpsolve.spec
SRPM URL: http://people.redhat.com/caolanm/lpsolve/lpsolve-5.5.0.11-1.fc9.src.rpm
Description: Linear Programming (MILP) solver, an OpenOffice.org 3.0 dependency.

Comment 1 Jason Tibbitts 2008-02-19 05:18:49 UTC
This builds cleanly and elicits only this from rpmlint:
  lpsolve-devel.x86_64: W: no-documentation
which is OK.

Did you find somewhere any information on which versions of the LGPL are
permitted?  I couldn't find anything besides LGPL (and the standard GPL notice
in the bison output, which doesn't matter).  I believe that LGPLv2+ is
acceptable in this situation, but it would be good to clarify this with the
upstream developers if possible.

The compiler is called with just "-O3" when it should be called with the full
set of %{optflags}.  This has the result of the debuginfo package being broken.
 It looks like the ccc script will need to be patched to set "opts" to something
other than "-O3".

Actually the whole build thing is a bit weird.  Does the Makefile that's there
not work?  (It looks like it would still need patching anyway.)


* source files match upstream:
   842d6c0fb72c8912c8747f096d07c01c1ecab137b8e5b90e41f94ddf2e5cd543  
   lp_solve_5.5.0.11_source.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are not the required set.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
X debuginfo package is not complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  lpsolve-5.5.0.11-1.fc9.x86_64.rpm
   liblpsolve55.so()(64bit)
   lpsolve = 5.5.0.11-1.fc9
  =
   /sbin/ldconfig

  lpsolve-devel-5.5.0.11-1.fc9.x86_64.rpm
   lpsolve-devel = 5.5.0.11-1.fc9
  =
   lpsolve = 5.5.0.11-1.fc9

* a shared library is installed; ldconfig is called properly.  There are no 
   versioned .so files, so the unversioned one is properly in the main package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 2 Caolan McNamara 2008-02-19 09:38:33 UTC
The updates at:

Spec URL: http://people.redhat.com/caolanm/lpsolve/lpsolve.spec
SRPM URL: http://people.redhat.com/caolanm/lpsolve/lpsolve-5.5.0.11-2.fc9.src.rpm

honour the optimization flags and I get debuginfo packages

Comment 3 Jason Tibbitts 2008-02-19 17:22:50 UTC
Looks good to me; the properl compiler flags are used and the debuginfo .  I've
no clue how to test this, but I can run the included binary and get help output
so it at least does something.

One thing I noticed while looking closer at the source tree: There are some
files in bfp/bfl_LUSOL/LUSOL which look to be documentation, and one license
statement which I guess should be packaged.  It looks like a separate project
has been inforporated.  Judging from the documentation there, it seems that it
is intended for it to have a separate release at some point but I couldn't find
one. There are also some txt files there which mean nothing to me, and two which
have the same content for some reason.

So LUSOL_LGPL.txt needs to be packaged, and LUSOL-overview.txt and
LUSOL_README.txt should probably be packaged as well.

Just let me know if you agree and I'll approve this; there's no need for you to
post a new package.

Comment 4 Caolan McNamara 2008-02-19 17:37:36 UTC
That's fine by me. I'll freely admit I'm vague on what the damn thing even does
:-) but I'd rather have it in place so than when OOo 3.0 arrives for F10 we
don't have a internally bundled copy of it.

Comment 5 Jason Tibbitts 2008-02-19 17:44:26 UTC
Great; APPROVED.

Just package up that license file and whichever of the other docs you think are
useful.

Comment 6 Caolan McNamara 2008-02-19 19:58:05 UTC
New Package CVS Request
=======================
Package Name: lpsolve
Short Description: Linear Programming (MILP) solver
Owners: caolanm@
Branches: devel
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-02-20 20:06:52 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.